/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.groupbuy.comment.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 拼团订单状态类型
 */
@Getter
@AllArgsConstructor
public enum GroupOrderStatusEnum {

    /** 待支付 */
    WAITING_PAY(0, "待支付"),

    /** 支付成功 */
    SUCCESS(1, "支付成功"),

    /** 失效 */
    FAIL(-1, "失效");

    private Integer code;

    private String title;

    public Integer value() {
        return code;
    }

}
